Package com.databricks.jdbc.common

## Enum StatementType

- java.lang.Object
- - java.lang.Enum<StatementType>
  - - com.databricks.jdbc.common.StatementType

All Implemented Interfaces:
  `Serializable`, `Comparable<StatementType>`

    public enum StatementType
    extends Enum<StatementType>

### Enum Constant Summary

Enum Constants
`METADATA` Metadata statement, this is similar to query, but provided internally and not user provided
`NONE` Default, not to be used
`QUERY` Query statement
`SQL` Generic SQL statement, can be both DDL and DML
`UPDATE` DML statement

### Method Summary

All Methods Static Methods Concrete Methods
`static StatementType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static StatementType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final StatementType NONE

Default, not to be used

#### QUERY

    public static final StatementType QUERY

Query statement

#### SQL

    public static final StatementType SQL

Generic SQL statement, can be both DDL and DML

#### UPDATE

    public static final StatementType UPDATE

DML statement

#### METADATA

    public static final StatementType METADATA

Metadata statement, this is similar to query, but provided internally and not user provided

### Method Detail

#### values

    public static StatementType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StatementType c : StatementType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StatementType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null